<%- include('./common/_header') %>
<section class="hero-wrap hero-wrap-2" style="background-image: url('images/bg_3.jpg');" data-stellar-background-ratio="0.5">
	<div class="overlay"></div>
	<div class="container">
	  <div class="row no-gutters slider-text align-items-end justify-content-center">
		<div class="col-md-9 ftco-animate text-center">
		  <h1 class="mb-2 bread">Login</h1>
		  <p class="breadcrumbs"><span class="mr-2"><a href="index.html">Home <i class="ion-ios-arrow-forward"></i></a></span> <span>Login <i class="ion-ios-arrow-forward"></i></span></p>
		</div>
	  </div>
	</div>
  </section>
	<section class="ftco-section ftco-no-pt ftco-no-pb">
		<div class="container-fluid px-0">
			<div class="row d-flex no-gutters justify-content-center">
				<div class="col-md-10 ftco-animate makereservation p-4 p-md-5 pt-5 pt-md-0 ">
					<div class="heading-section ftco-animate mb-5" style="text-align: center">
						<span class="subheading">New User</span>
						<h2 class="mb-4">User Registartion</h2>
					</div>
					<form id="signUpForm" action="http://localhost:2017/public/register" method="POST">
						<div class="row justify-content-center">
					
							<div class="col-md-6">
									<div class="row">
											<div class="form-group" style="width: 100%">
													<label for="">First Name</label>
													<input type="text" class="form-control" id="fname" placeholder="First Name" required>
												</div>
									</div>
									<div class="row">
											<div class="form-group" style="width: 100%">
													<label for="">Last Name</label>
													<input type="text" class="form-control"  id="lname" placeholder="last Name" required>
												</div>
									</div>
									<div class="row">
											<div class="form-group" style="width: 100%">
													<label for="">Mobile No</label>
													<input type="text" class="form-control" id="mobileNo" placeholder="Mobile No" required>
												</div>
									</div>
								<div class="row">
										<div class="form-group" style="width: 100%">
												<label for="">Email</label>
												<input type="email" class="form-control" id="email" placeholder="Your Email" required>
											</div>
								</div>
								<div class="row">
										<div class="form-group" style="width: 100%">
												<label for="">Password</label>
												<input type="password" class="form-control" id="password" placeholder="Password" required>
											</div>
								</div>
						
							</div>
					
	
							<div class="col-md-12 mt-3">
								<div class="row justify-content-center">
										<div class="form-group">
												<input type="submit" value="Sign Up" class="btn btn-primary py-3 px-5"
													id="signUpBtn">
											</div>
							
											
								</div>
						
							</div>
						</div>
					</form>
				</div>
				
			</div>
		</div>
	</section>

    <%- include('./common/_footer') %>

	<script>
		// Shorthand for $( document ).ready()
		$(function () {
			console.log("ready!");
			$('#signUpForm').submit(function(e) {
				e.preventDefault();
				console.log("Submit Btn...");

				let formDate = {
					fname :$('#fname').val(),
					lname :$('#lname').val(),
					mobileNo :$('#mobileNo').val(),
					email :$('#email').val(),
					password :$('#password').val(),
					password2:$('#password').val(),
				}

				$.ajax({
					type: "POST",
					url: '<%=baseUrl%>' + '/public/register',
					data: formDate, // serializes the form's elements.
					dataType : 'json',
					success: function (data) {
						console.log("data >>",data);
						// alert(data); // show response from the php script.
						let loginData = {
							email:formDate.email,
							password: formDate.password
						}
						$.ajax({
							type: "POST",
							url: '<%=baseUrl%>' + '/public/login',
							data: loginData, // serializes the form's elements.
							dataType : 'json',
							success: function (data) {
								// console.log("data >>",data);
								// alert(data); // show response from the php script.
								window.location.replace("/login");
							},
							error:function (error) {
								console.log("error >>",error);
							}
						});
					},
					error:function (error) {
						console.log("error >>",error);
					}
				});
			})

			// this is the id of the form
			$("#signUpForm").submit(function (e) {

				e.preventDefault(); // avoid to execute the actual submit of the form.

				var form = $(this);
				var url = form.attr('action');

				console.log("form.serialize() ",form.serialize())

				// $.ajax({
				// 	type: "POST",
				// 	url: http://localhost:2017/public/register,
				// 	data: form.serialize(), // serializes the form's elements.
				// 	success: function (data) {
				// 		console.log("data >>",data);
				// 		alert(data); // show response from the php script.
				// 	},
				// 	error:function (error) {
				// 		console.log("error >>",error);
				// 	}
				// });
			});
})
	</script>